<?php

namespace twa\htmlhelpers\providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Blade;

Class WebsiteServiceProvider extends ServiceProvider{
    public function boot(){

//        $this->loadViewComponentsAs('htmlhelpers2', [
//            \twa\htmlhelpers\Framework\View\Components\favicon::class,
//        ]);

//
//        Blade::directive('picture', function ($image,$extra_html = NULL) {
//            dd($image);
//        });


    }

    public function register(){
        include_once(__DIR__.'/../helpers/helpers.php');
        include_once(__DIR__.'/../macros/macros.php');
        $this->loadRoutesFrom(__DIR__.'/../routes/web.php');

        $this->loadViewsFrom(__DIR__.'/../views/', 'htmlhelpers');
        $this->loadViewComponentsAs('htmlhelpers', [
            \twa\htmlhelpers\views\favicon::class
        ]);
    }
}
